import { computed, ref, watch } from 'vue'

import { LSK_DARKMODE, LSK_LOCALE } from '@/globals'
import { setItem } from '@/storage'

// #region Dark Mode

export const darkMode = ref(true)
watch(darkMode, val => {
  if (val) {
    document.documentElement.classList.add('dark')
  }
  else {
    document.documentElement.classList.remove('dark')
  }
  setItem(LSK_DARKMODE, val ? 'true' : 'false')
})

export function isDarkModeDefault(): boolean {
  return (
    window.matchMedia &&
    window.matchMedia('(prefers-color-scheme: dark)').matches
  )
}

// #endregion Dark mode

// #region Locale

export const isLocaleFrench = ref(true)

watch(isLocaleFrench, v => {
  setItem(LSK_LOCALE, v ? 'fr' : 'en')
})

// #endregion Locale
