import './index.css'

import messages from '@intlify/vite-plugin-vue-i18n/messages'
import { registerSW } from 'virtual:pwa-register'
import { createApp, watch } from 'vue'
import { createI18n } from 'vue-i18n'

import App from '@/App.vue'
import router from '@/router'

import { isLocaleFrench } from './composables/settings'
import { LSK_LOCALE } from './globals'
import { getItem } from './storage'

const i18n = createI18n({
  legacy: false,
  locale: 'fr',
  fallbackLocale: 'en',
  messages,
})

// Set locale
watch(isLocaleFrench, v => {
  i18n.global.locale.value = v ? 'fr' : 'en'
})
isLocaleFrench.value = getItem(LSK_LOCALE, 'en') === 'fr'

registerSW({
  onOfflineReady() {
    // showToast('Ce jeu peut être installé<br>pour fonctionner hors-ligne.', 2000)
  },
})

const app = createApp(App)

app.use(router)
app.use(i18n)

app.mount('#app')
